Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.database
Class OWLDatabaseModel

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultKnowledgeBase
          edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel
              edu.stanford.smi.protegex.owl.database.OWLDatabaseModel

All Implemented Interfaces:
  edu.stanford.smi.protege.model.KnowledgeBase, edu.stanford.smi.protege.util.Disposable, OntModelProvider, OWLModel, ProtegeKnowledgeBase, OWLTestManager

    public class OWLDatabaseModel

extends AbstractOWLModel
implements OntModelProvider

An AbstractOWLModel with extra support for databases.

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel
`ANONYMOUS_BASE, DEFAULT_ANNOTATION_PROPERTY_NAME, DEFAULT_CLASS_NAME, DEFAULT_DATATYPE_PROPERTY_NAME, DEFAULT_INDIVIDUAL_NAME, DEFAULT_OBJECT_PROPERTY_NAME, DEFAULT_PROPERTY_NAME, DEFAULT_TODO_PREFIX, DEFAULT_USED_LANGUAGES, OWL_MODEL_EXPAND_SHORT_NAME_IN_METHODS, OWL_MODEL_IMPORT_NAMESPACES, OWL_MODEL_INIT_DEFAULTS_AT_CREATION, UNIQUE_SESSION_ID`

Fields inherited from class edu.stanford.smi.protege.model.DefaultKnowledgeBase
`SERVER_PROCESS_USER`

Fields inherited from interface edu.stanford.smi.protegex.owl.jena.OntModelProvider
`OWL_DL, OWL_FULL, OWL_LITE`

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`MAXIMUM_CARDINALITY_UNBOUNDED, UNLIMITED_MATCHES`

Constructor Summary
`OWLDatabaseModel(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)`

Method Summary
`com.hp.hpl.jena.ontology.OntModel` | `getOntModel()` Gets an OntModel which represents the current state.
`com.hp.hpl.jena.ontology.OntModel` | `getOWLDLOntModel()` Gets or prepares an OntModel which is guaranteed to be in OWL DL, for classification and other reasoning tasks.
`int` | `getOWLSpecies()` Gets the OWL Species of the current main OntModel.
`com.hp.hpl.jena.ontology.OntModel` | `getReasonerOntModel(String classifierURL)` Gets an OntModel that is connected to a (DIG) reasoner.
`void` | `initDefaultNamespaces()`
`void` | `setProject(edu.stanford.smi.protege.model.Project project)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel
`addClassListener, addModelListener, addOWLTest, addPropertyListener, addPropertyValueListener, addResourceListener, adjustForClient, asRDFObject, asRDFSLiteral, asRDFSLiterals, attachDefaultLanguageListener, convertRDFSLiteralsToInternalFormat, convertRDFSLiteralToInternalFormat, copyFacetValuesIntoNamedClses, createAnnotationOWLDatatypeProperty, createAnnotationOWLObjectProperty, createAnnotationProperty, createCls, createDefaultLanguageListener, createFrameFactory, createFrameStoreManager, createInstance, createInstance, createInstance, createNewResourceName, createOWLAllDifferent, createOWLAllValuesFrom, createOWLAllValuesFrom, createOWLAllValuesFrom, createOWLCardinality, createOWLCardinality, createOWLCardinality, createOWLComplementClass, createOWLComplementClass, createOWLDataRange, createOWLDataRange, createOWLDatatypeProperty, createOWLDatatypeProperty, createOWLDatatypeProperty, createOWLDatatypeProperty, createOWLEnumeratedClass, createOWLEnumeratedClass, createOWLHasValue, createOWLHasValue, createOWLIntersectionClass, createOWLIntersectionClass, createOWLMaxCardinality, createOWLMaxCardinality, createOWLMaxCardinality, createOWLMinCardinality, createOWLMinCardinality, createOWLMinCardinality, createOWLNamedClass, createOWLNamedClass, createOWLNamedClass, createOWLNamedSubclass, createOWLObjectProperty, createOWLObjectProperty, createOWLObjectProperty, createOWLOntology, createOWLOntology, createOWLSomeValuesFrom, createOWLSomeValuesFrom, createOWLSomeValuesFrom, createOWLUnionClass, createOWLUnionClass, createRDFExternalResource, createRDFList, createRDFList, createRDFProperty, createRDFSClassFromExpression, createRDFSDatatype, createRDFSLiteral, createRDFSLiteral, createRDFSLiteral, createRDFSLiteralOrString, createRDFSNamedClass, createRDFSNamedClass, createRDFSNamedClass, createRDFSNamedSubclass, createRDFUntypedResource, createSubclass, createSubclass, createSubproperty, createSystemFrames, createTriple, createUniqueNewFrameName, deleteAllFrames, deleteCls, detachDefaultLanguageListener, dispose, endTransaction, executeSPARQLQuery, getAllImports, getAnonymousClassMetaCls, getAnonymousRootCls, getBrowserText, getCacheMachine, getChangedInferredClasses, getCommonSuperclass, getCommonSuperclasses, getDefaultAnnotationPropertiesInView, getDefaultLanguage, getDefaultLanguageProperty, getDefaultOWLOntology, getDisplaySlotNotSetString, getDisplaySlotPatternValueNotSetString, getDomainlessProperties, getFloatDatatypes, getFrameNameForURI, getFrameStoreManager, getGlobalParserCache, getInconsistentClasses, getIntegerDatatypes, getJenaModel, getLocalNameForResourceName, getLocalNameForURI, getMatchingResources, getNamespaceForResourceName, getNamespaceForURI, getNamespaceManager, getNextAnonymousResourceName, getNextAnonymousResourceNameStatic, getOWLAllDifferentClass, getOWLAllDifferentClassCls, getOWLAllDifferents, getOWLAllValuesFromClass, getOWLAllValuesFromProperty, getOWLAnnotationProperties, getOWLAnnotationPropertyClass, getOWLBackwardCompatibleWithProperty, getOWLCardinalityClass, getOWLCardinalityProperty, getOWLClassDisplay, getOWLClasses, getOWLClassMetaCls, getOWLClassParser, getOWLComplementClassClass, getOWLComplementOfProperty, getOWLDataRangeClass, getOWLDatatypeProperty, getOWLDatatypePropertyClass, getOWLDatatypePropertyMetaClassCls, getOWLDeprecatedClassClass, getOWLDeprecatedPropertyClass, getOWLDifferentFromProperty, getOWLDisjointWithProperty, getOWLDistinctMembersProperty, getOWLEnumeratedClassClass, getOWLEquivalentClassProperty, getOWLEquivalentPropertyProperty, getOWLFrameStore, getOWLFunctionalPropertyClass, getOWLHasValueClass, getOWLHasValueProperty, getOWLImportsProperty, getOWLIncompatibleWithProperty, getOWLIndividual, getOWLIndividuals, getOWLIndividuals, getOWLIntersectionClassClass, getOWLIntersectionOfProperty, getOWLInverseFunctionalPropertyClass, getOWLInverseOfProperty, getOWLJavaFactory, getOWLLogicalClassClass, getOWLMaxCardinalityClass, getOWLMaxCardinalityProperty, getOWLMinCardinalityClass, getOWLMinCardinalityProperty, getOWLNamedClass, getOWLNamedClassClass, getOWLNamedClassMetaClassCls, getOWLNothing, getOWLNothingClass, getOWLObjectProperty, getOWLObjectPropertyClass, getOWLObjectPropertyMetaClassCls, getOWLOneOfProperty, getOWLOnPropertyProperty, getOWLOntologies, getOWLOntologyByURI, getOWLOntologyByURI, getOWLOntologyClass, getOWLOntologyCls, getOWLOntologyPrefixesProperty, getOWLOntologyProperties, getOWLPriorVersionProperty, getOWLProject, getOWLProperty, getOWLResourceURIProperty, getOWLRestrictionClass, getOWLRestrictionMetaclasses, getOWLRestrictionsOnProperty, getOWLSameAsProperty, getOWLSomeValuesFromClass, getOWLSomeValuesFromProperty, getOWLSomeValuesFromRestrictionClass, getOWLSymmetricPropertyClass, getOWLSystemFramesArray, getOWLSystemResources, getOWLTests, getOWLThingClass, getOWLTransitivePropertyClass, getOWLUnionClassClass, getOWLUnionOfProperty, getOWLValuesFromProperty, getOWLValueType, getOWLVersionInfoProperty, getPrefixForResourceName, getPropertyValueLiterals, getPropertyValueValidator, getProtegeAllowedParentProperty, getProtegeClassificationStatusProperty, getProtegeInferredSubclassesProperty, getProtegeInferredSuperclassesProperty, getProtegeInferredTypeProperty, getProtegeReadOnlyProperty, getProtegeSubclassesDisjointProperty, getRDFAltClass, getRDFBagClass, getRDFDatatypes, getRDFExternalClassClass, getRDFExternalPropertyClass, getRDFExternalResource, getRDFExternalResourceClass, getRDFFirstProperty, getRDFIndividual, getRDFIndividuals, getRDFIndividuals, getRDFListClass, getRDFListCls, getRDFNil, getRDFObjectProperty, getRDFPredicateProperty, getRDFProperties, getRDFProperty, getRDFPropertyClass, getRDFResource, getRDFResourceAs, getRDFResourceByBrowserText, getRDFResourceByNameOrBrowserText, getRDFResourceCount, getRDFResources, getRDFResources, getRDFResourcesWithPropertyValue, getRDFRestProperty, getRDFSClassCount, getRDFSClasses, getRDFSClassMetaClassCls, getRDFSCommentProperty, getRDFSContainerClass, getRDFSDatatypeByName, getRDFSDatatypeByURI, getRDFSDatatypeClass, getRDFSDatatypeFactory, getRDFSDatatypeOfValue, getRDFSDatatypes, getRDFSDomainProperty, getRDFSeqClass, getRDFSIsDefinedByProperty, getRDFSLabelProperty, getRDFSLiteralClass, getRDFSMemberProperty, getRDFSNamedClass, getRDFSNamedClassClass, getRDFSRangeProperty, getRDFSSeeAlsoProperty, getRDFSSubClassOfProperty, getRDFSSubPropertyOf, getRDFSSubPropertyOfProperty, getRDFStatementClass, getRDFSubjectProperty, getRDFTypeProperty, getRDFUntypedResource, getRDFUntypedResourcesClass, getRDFValueProperty, getRDFXMLLiteralType, getRepositoryManager, getResourceNameForURI, getResourceNameMatches, getResourcesWithPrefix, getSearchSynonymProperties, getSystemAnnotationProperties, getSystemFrames, getTaskManager, getTodoAnnotationPrefix, getTodoAnnotationProperty, getTopOWLOntologyClass, getTopOWLOntologyURISlot, getTripleStoreModel, getUniqueFrameName, getURIForResourceName, getUsedLanguages, getUserDefinedOWLDatatypeProperties, getUserDefinedOWLNamedClasses, getUserDefinedOWLObjectProperties, getUserDefinedOWLProperties, getUserDefinedRDFIndividuals, getUserDefinedRDFProperties, getUserDefinedRDFSNamedClasses, getValidNamespaceFrameName, getValidOWLFrameName, getValueLiterals, getValueTypeURI, getVisibleResources, getVisibleUserDefinedOWLProperties, getVisibleUserDefinedRDFProperties, getXSDanyURI, getXSDbase64Binary, getXSDboolean, getXSDbyte, getXSDdate, getXSDdateTime, getXSDdecimal, getXSDdouble, getXSDduration, getXSDfloat, getXSDint, getXSDinteger, getXSDlong, getXSDNonNegativeInteger, getXSDshort, getXSDstring, getXSDtime, initialize, initializeDefaultAnnotationView, initializeExpandShortNamesInMethods, initializeLoadDefaults, intializeImportOwlNamespaces, isAnonymousResource, isAnonymousResourceName, isAutoRepairEnabled, isDefaultAnonymousType, isDefaultAnonymousType, isExpandShortNameInMethods, isOWLSystemFrame, isOWLTestGroupEnabled, isProtegeMetaOntologyImported, isSlotMetaCls, isTrueInstance, isValidOWLFrameName, isValidOWLFrameName, isValidPropertyValue, isValidResourceName, listOWLAnonymousClasses, listOWLNamedClasses, listRDFProperties, listRDFSNamedClasses, listReferences, listSubjects, loadImportedAssertions, removeClassListener, removeModelListener, removeOWLTest, removePropertyListener, removePropertyValueListener, removeResourceListener, resetJenaModel, resetOntologyCache, setAutoRepairEnabled, setCacheMachine, setDefaultAnnotationPropertiesInView, setDirectOwnSlotValues, setDirectType, setExpandShortNameInMethods, setLoadDefaults, setOWLClassDisplay, setOWLJavaFactory, setOWLProject, setOWLTestGroupEnabled, setPropertyValueValidator, setSearchSynonymProperties, setTaskManager`

Methods inherited from class edu.stanford.smi.protege.model.DefaultKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addDirectTypes, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addJavaLoadPackage, addKnowledgeBaseListener, addOwnSlotValue, addServerProjectListener, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, addTransactionListener, adjustForServer, areValidOwnSlotValues, assertFrameName, beginTransaction, beginTransaction, clearAllListeners, close, commitTransaction, containsFrame, createCls, createCls, createCls, createCls, createFacet, createFacet, createFacet, createFacet, createInstance, createInstance, createSimpleInstance, createSimpleInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, createSlot, createUniqueFrameName, deleteFacet, deleteFrame, deleteInstance, deleteSimpleInstance, deleteSlot, endTransaction, equals, executeQuery, flushCache, flushEvents, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getBuildString, getClientInformation, getCls, getClsCount, getClses, getClsesWithMatchingBrowserText, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDispatchEventsEnabled, getDocumentation, getDomain, getEventsEnabled, getFacet, getFacetCheckingEnabled, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithMatchingDirectOwnSlotValue, getFramesWithValue, getGenerateEventsEnabled, getHeadFrameStore, getInheritedTemplateSlots, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getKnowledgeBaseFactory, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumCardinality2, getMaximumValue, getMinimumCardinality, getMinimumValue, getMissingTypeString, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReachableSimpleInstances, getReferences, getReferences, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstance, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumCardinality2, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumCardinality2, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getTerminalFrameStore, getTypes, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasChanged, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClosed, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isUndoEnabled, isValidFrameName, isValidOwnSlotValue, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubclass, moveDirectSubslot, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, removeDirectTypes, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeServerProjectListener, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, removeTransactionListener, rename, rollbackTransaction, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setClientInformation, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectBrowserTextPattern, setDirectOwnSlotValue, setDirectTemplateFacetValue, setDirectTemplateFacetValues, setDirectTemplateSlotValues, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDispatchEventsEnabled, setDocumentation, setDocumentation, setEventDispatchEnabled, setEventsEnabled, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setGenerateEventsEnabled, setInverseSlot, setJournalingEnabled, setLoading, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setModificationRecordUpdatingEnabled, setName, setNextFrameNumber, setOwnSlotValue, setOwnSlotValues, setPollForEvents, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setTerminalFrameStore, setUndoEnabled, setUserName, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling, toString, toString, toString, toStringForFrame, toStringForObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLModel
`getDispatchEventsEnabled, getGenerateEventsEnabled, getHeadFrameStore, setDispatchEventsEnabled, setGenerateEventsEnabled`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addKnowledgeBaseListener, addOwnSlotValue, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, areValidOwnSlotValues, clearAllListeners, containsFrame, createCls, createCls, createCls, createFacet, createFacet, createFacet, createInstance, createInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, deleteFacet, deleteFrame, deleteInstance, deleteSlot, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getCls, getClsCount, getClses, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDocumentation, getDomain, getFacet, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithValue, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isValidFrameName, isValidOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateSlot, removeDirectType, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDocumentation, setDocumentation, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setInverseSlot, setJournalingEnabled, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setName, setNextFrameNumber, setOwnSlotValues, setPollForEvents, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setUndoEnabled, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling`

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`addJavaLoadPackage, addServerProjectListener, addTransactionListener, assertFrameName, beginTransaction, beginTransaction, commitTransaction, createUniqueFrameName, endTransaction, executeQuery, flushCache, flushEvents, getBuildString, getClientInformation, getClsesWithMatchingBrowserText, getEventsEnabled, getKnowledgeBaseFactory, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getSimpleInstance, hasChanged, isClosed, isUndoEnabled, moveDirectOwnSlotValue, moveDirectType, removeServerProjectListener, removeTransactionListener, rename, rollbackTransaction, setClientInformation, setEventsEnabled, setModificationRecordUpdatingEnabled`

Constructor Detail

### OWLDatabaseModel

    public OWLDatabaseModel(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)

Method Detail

### getOntModel

    public com.hp.hpl.jena.ontology.OntModel getOntModel()

  Description copied from interface: `OntModelProvider`
  Gets an OntModel which represents the current state.

  Specified by:
    `getOntModel` in interface `OntModelProvider`
  Specified by:
    `getOntModel` in interface `OWLModel`
  Returns:
    an OntModel

### getOWLDLOntModel

    public com.hp.hpl.jena.ontology.OntModel getOWLDLOntModel()

  Description copied from interface: `OntModelProvider`
  Gets or prepares an OntModel which is guaranteed to be in OWL DL, for classification and other reasoning tasks.

  Specified by:
    `getOWLDLOntModel` in interface `OntModelProvider`
  Returns:
    null if the OntModel cannot be reduced to OWL DL

### getOWLSpecies

    public int getOWLSpecies()

  Description copied from interface: `OntModelProvider`
  Gets the OWL Species of the current main OntModel.

  Specified by:
    `getOWLSpecies` in interface `OntModelProvider`
  Returns:
    one of the three OWL_xxx constants

### getReasonerOntModel

    public com.hp.hpl.jena.ontology.OntModel getReasonerOntModel(String classifierURL)

  Description copied from interface: `OntModelProvider`
  Gets an OntModel that is connected to a (DIG) reasoner.

  Specified by:
    `getReasonerOntModel` in interface `OntModelProvider`
  Parameters:
    `classifierURL` - the URL of the classifier (usually defined in the preferences)
  Returns:
    An OntModel that contains the classification result

### initDefaultNamespaces

    public void initDefaultNamespaces()

### setProject

    public void setProject(edu.stanford.smi.protege.model.Project project)

  Specified by:
    `setProject` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `setProject` in interface `ProtegeKnowledgeBase`
  Overrides:
    `setProject` in class `AbstractOWLModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.